[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Can't locate Dpkg.pm in @INC ...



~
 in order to run dpkg-scanpackages, I need to install first lzma,
patch, libtimedate-perl and dpkg-dev, which I do via dpkg --install (I
have done this before without any problems whatsoever), but then when
I try to run dpkg-scanpackages, I get:
~
~ ~~~~~~~~~~~~~~~~~~~~~~~~~
~
Can't locate Dpkg.pm in @INC (@INC contains: /etc/perl
/usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5
/usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10
/usr/local/lib/site_perl .) at /usr/bin/dpkg-scanpackages line 8.
BEGIN failed--compilation aborted at /usr/bin/dpkg-scanpackages line 8.
~
~ ~~~~~~~~~~~~~~~~~~~~~~~~~
~
 and when I look into dpkg-scanpackages (a perl script) there is not much I fing
~
# head -8 /usr/bin/dpkg-scanpackages
#!/usr/bin/perl

use warnings;
use strict;

use IO::Handle;
use IO::File;
use Dpkg;
~
 What is really going on? To me it looks like a perl (which I am not
familiar with) dependency problem. How can I fix it?
~
 Thank you
 C


Reply to: